Package org.jcsp.net

# Class NetChannelEnd

java.lang.Object
org.jcsp.net.NetChannelEnd

public class NetChannelEnd extends Object

This class provides static factory methods for constructing Networked channel ends.

The methods are equivalent to the methods defined in ``NetChannelEndFactory``.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`static NetSharedChannelOutput`
`createAny2Net(NetChannelLocation loc)`
`static NetSharedChannelInput`
`createNet2Any()`
`static NetSharedChannelInput`
`createNet2Any(String label)`
`static NetSharedChannelInput`
`createNet2Any(String label, ChannelDataStore buffer)`
`static NetSharedChannelInput`
`createNet2Any(ChannelDataStore buffer)`
`static NetAltingChannelInput`
`createNet2One()`
`static NetAltingChannelInput`
`createNet2One(String label)`
`static NetAltingChannelInput`
`createNet2One(String label, ChannelDataStore buffer)`
`static NetAltingChannelInput`
`createNet2One(ChannelDataStore buffer)`
`static NetChannelOutput`
`createOne2Net(NetChannelLocation loc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createNet2One

public static NetAltingChannelInput createNet2One()

See Also:
  - `NetChannelEndFactory.createNet2One()`

### createNet2One

public static NetAltingChannelInput createNet2One(String label)

See Also:
  - `NetLabelledChannelEndFactory.createNet2One(String)`

### createNet2One

public static NetAltingChannelInput createNet2One(ChannelDataStore buffer)

See Also:
  - `NetBufferedChannelEndFactory.createNet2One(ChannelDataStore)`

### createNet2One

public static NetAltingChannelInput createNet2One(String label, ChannelDataStore buffer)

See Also:
  - `NetLabelledBufferedChannelEndFactory.createNet2One(String, ChannelDataStore)`

### createNet2Any

public static NetSharedChannelInput createNet2Any()

See Also:
  - `NetChannelEndFactory.createNet2Any()`

### createNet2Any

public static NetSharedChannelInput createNet2Any(String label)

See Also:
  - `NetLabelledChannelEndFactory.createNet2Any(String)`

### createNet2Any

public static NetSharedChannelInput createNet2Any(ChannelDataStore buffer)

See Also:
  - `NetBufferedChannelEndFactory.createNet2Any(ChannelDataStore)`

### createNet2Any

public static NetSharedChannelInput createNet2Any(String label, ChannelDataStore buffer)

See Also:
  - `NetLabelledBufferedChannelEndFactory.createNet2Any(String, ChannelDataStore)`

### createOne2Net

public static NetChannelOutput createOne2Net(NetChannelLocation loc)

See Also:
  - `NetChannelEndFactory.createOne2Net(NetChannelLocation)`

### createAny2Net

public static NetSharedChannelOutput createAny2Net(NetChannelLocation loc)

See Also:
  - `NetChannelEndFactory.createAny2Net(NetChannelLocation)`